Batch create or update public embed links

Create or update up to 10,000 custom public embed links at once

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Links you create via API function in the same manner as custom links generated by users in the Orange Logic interface, such as in the Embed Links extension. To use this API, you must have the GetBulkPermanentLinks Security Function.


Here is an example call using sample values for each of the query parameters described in the table below.

Example with Asynchronous execution
curl -X 'POST' \
  'https://mangovations.orangelogic.com/webapi/objectmanagement/share/batchupsertassetlinkswithcustomroute_41FD_v1' \
  -H 'accept: text/plain' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
  "records": [
    {
      "title": "Instagram",
      "customRoute": "/public/Promenade-des-Anglais-Nice-TR1.auto",
      "assetID": "Q1N3620",
      "format": "TR1",
      "fileExtension": ".auto"
      "transformations": [
            "c_x_0,c_y_129,c_w_656,c_h_364,c_whu_Pixel", "r_a_10"
              ]
      "expirationDate": "2026-07-25T12:55:05.943Z"
    }, 
    {
      "customRoute": "/public/Historic-village-in-Provence-TR1.auto",
      "assetID": "Q1N3670",
      "format": "TR1",
      "expirationDate": "2026-07-25T12:55:05.943Z"
    }
  ],
  "executionOptions": {
    "executeAsynchronously": true
  }
}
'

Example with Synchronous execution
curl -X 'POST' \
  'https://mangovations.orangelogic.com/webapi/objectmanagement/share/batchupsertassetlinkswithcustomroute_41FD_v1' \
  -H 'accept: text/plain' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
  "records": [
    {
      "customRoute": "/public/Nice-coastline-TR1.auto",
      "assetID": "Q1N3622",
      "format": "TR1",
      "expirationDate": "2026-07-25T12:55:05.943Z"
    }
  ],
  "executionOptions": {
    "executeAsynchronously": false
  }
}'

Body Params
Response

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json